Subject: bug#76596: 30.1; dired-movement-style does not honor subdir operations

From: Charles Choi <[email-masked]>
Date: Thu, 27 Feb 2025 10:03:53 -0800

Juri -

The notion of navigation only by type is I think too restrictive, particularly for dired-next-line and dired-previous-line.

My expectation is that those two commands should also work on subdirs, and I don't think I'm alone in thinking this.

Charles

—
Charles Y. Choi, Ph.D.
[email-masked]

> On Feb 27, 2025, at 9:52 AM, Juri Linkov <[email-masked]> wrote:
> 
> I'm not sure what is the behavior expected by most users?
> It seems the intention for this feature was to visit only
> filename lines with n, p, C-p, C-n, since there are already
> special commands to visit subdir lines with C-M-n, C-M-p and M-G.